package com.bonus.canteen.core.account.v3.web.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class AccExceptionRecordDTO extends PageDTO {
   @ApiModelProperty("开始时间")
   private LocalDateTime startDateTime;
   @ApiModelProperty("结束时间")
   private LocalDateTime endDateTime;
   @ApiModelProperty("订单号")
   private String orderId;
   @ApiModelProperty("关键字查询,人员编号,姓名,手机号")
   private String keyword;
   @ApiModelProperty("设备订单号")
   private String macOrderId;
   @ApiModelProperty("设备信息(编号,名称,SN)")
   private String macKeyWord;
   @ApiModelProperty("卡序列号（物理卡号）")
   private String serialNum;

   public LocalDateTime getStartDateTime() {
      return this.startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return this.endDateTime;
   }

   public String getOrderId() {
      return this.orderId;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public String getMacKeyWord() {
      return this.macKeyWord;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public void setStartDateTime(final LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public void setEndDateTime(final LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public void setOrderId(final String orderId) {
      this.orderId = orderId;
   }

   public void setKeyword(final String keyword) {
      this.keyword = keyword;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setMacKeyWord(final String macKeyWord) {
      this.macKeyWord = macKeyWord;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }
}
